### Type parameters

- #### D

### Hierarchy

- BaseDataFilter
  - AttributeFilter
  - AttributeExprFilter
  - CompoundFilter
  - ExtendedCompoundFilter
  - NestedFilter
  - TextFilter

## Index

### Methods

- filter

## Methods

### filter

- filter(item: D, index?: number, array?: D[]): boolean

- #### Parameters

  - ##### item: D

  - ##### Optional index: number

  - ##### Optional array: D[]

  #### Returns boolean

Generated using TypeDoc